Subject: [TR] Grill badges

From: "Joe Curry" <[email-masked]>
Date: Mon, 12 Nov 2012 19:43:57 -0700

A few weeks ago I floated the idea of doing another run of grill badges for
the Triumph list.  Since the minimum quantity is 25, I would need
substantial demand.  So far only two people have expressed interest.  If
there are others interested in receiving one or more at a cost of $35.00
each, please let me know.  Otherwise, I will not be able to follow through
on the project.

Cheers,

Joe Curry

** [email-masked] **

Archive: http://www.team.net/archive